<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hxhq.business.mapper.ZcgMapper">

    <select id="queryInfo" resultType="com.hxhq.business.domain.Zcg">
        select t.*
        FROM `t_zcg` t
        where t.id=#{id}
    </select>

    <select id="queryList" resultType="com.hxhq.business.domain.Zcg">
        select t.id,t.mc,t.lqr1_mc,t.lqr1_mc_en,t.lqr2_mc,t.lqr2_mc_en,t.zt,t.glyj,t.create_time
        FROM `t_zcg` t
        <if test="ew.sqlSegment != '' and ew.sqlSegment != null">
            <where>
                ${ew.sqlSegment}
            </where>
        </if>
    </select>

</mapper>